## pconsole 1.0

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#   pconsole WJ101
#   Copyright (C) 2001  Walter de Jong <walter@heiho.net>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	pconsole Makefile.in	WJ101
#

prefix = .
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin

CC = gcc
CFLAGS = -O2 -Wall -Wstrict-prototypes -fomit-frame-pointer
LFLAGS =
LIBS =
INCLUDE = include

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = /usr/bin/install -c -m 0750
INSTALL_SCRIPT = /usr/bin/install -c -m 0750
INSTALL_DATA = /usr/bin/install -c -m 0640

.c.o:
	$(CC) -I$(INCLUDE) $(CFLAGS) -c $<

OBJS = List.o Conn.o cstring.o terminal.o commands.o pconsole.o

CFILES = $(OBJS:.o=.c)

TARGETS = pconsole

all: config.status config.log $(TARGETS)

include .depend

#
#   Targets
#

config.status config.log:
	@( \
		echo "Not yet configured. Type './configure' to configure." ; \
		echo \
	) ; \
	exit 1

pconsole: $(OBJS)
	$(CC) $(LFLAGS) $(OBJS) -o pconsole $(LIBS)


neat:
	rm -f core *~

clean:
	rm -f core *.o $(TARGETS) *~

mrproper: clean
	rm -f .depend config.status config.cache config.log config.h pconsole.sh
	touch .depend

depend dep .depend:
	$(CC) -I$(INCLUDE) -M $(CFILES) > .depend


install: all
	@( \
		echo "installing pconsole ..."; \
		mkdir -p $(bindir) 2>/dev/null ; \
		${INSTALL} pconsole $(bindir) ;		\
		${INSTALL_PROGRAM} pconsole.sh $(bindir) ;	\
		${INSTALL_PROGRAM} ssh.sh $(bindir) ;			\
		echo ;	\
		echo "Note: You may want to make pconsole setuid root with the following commands:";	\
		echo ;	\
		echo "   chown root $(bindir)/pconsole ; chmod 4110 $(bindir)/pconsole" ; \
		echo \
	)

uninstall:
	rm -f $(bindir)/pconsole $(bindir)/pconsole.sh $(bindir)/ssh.sh ; \
	rmdir $(bindir) 2>/dev/null

# EOB

=== debian/changelog ===
pconsole (1.0-9) unstable; urgency=low

  * Convert to Source format "3.0 (quilt)"
    - Remove build-dependency on quilt
    - Remove quilt usage in debian/rules
  * Fix lintian warnings:
    - maintainer-script-without-set-e
    - debian-rules-missing-recommended-target
  * Remove superfluous tab character in debian/rules
  * Bump Standards-Version to 3.9.2 (no changes)
  * Add "Suggests: xterm | x-terminal-emulator"
  * Fix typo in long description (Closes: #653756)
  * Add Danish translation by Joe Dalton (Closes: #628418)
  * Add Polish translation by Michał Kułach (Closes: #658740)

 -- Axel Beckert <abe@debian.org>  Tue, 14 Feb 2012 22:08:45 +0100

pconsole (1.0-8) unstable; urgency=low

  * New maintainer (Closes: #575514)
  * Bumped standards version to 3.8.4
    - Added Homepage field
  * Clarified debian/copyright (added correct GPL version numbers)
  * Added watch file (fixes lintian warning debian-watch-file-is-missing)
  * Added debian/source/format
  * Moved to quilt patch management
    - Added necessary build dependencies
    - Added README.source from /usr/share/doc/quilt/
    - Imported Makefile and configure patches from 1.0-7.3 diff.gz
  * Replaced config.sub and config.guess from 1.0-7.3 diff.gz by copying
    it from /usr/share/misc/ while building
    - Changed conditional copying of config.{guess,sub} in clean target to
      unconditional copying in configure target.
    - Build-Depend on autotools-dev
  * Fixed bashism in example script (Closes: #530158)
  * Added Vcs-* headers
  * Added a hint to /usr/share/doc/pconsole/README.gz to the SEE ALSO
    section of the man page pconsole(1) (Closes: #518210)
  * Fix typo Ctlr -> Ctrl in main program

 -- Axel Beckert <abe@debian.org>  Fri, 02 Apr 2010 00:42:40 +0200

pconsole (1.0-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${misc:Depends} to binary package dependencies to
    properly cope with dependencies triggerred by debhelper
  * Use "set -e" in config script
  * Bump debhelper compatibility to 7. As a result, replace
    "dh_clean -k" calls by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512983
    - Spanish (# traductor (campo Last-Translator) y ponga en copia a la
      lista de Fernando González de Requena).  Closes: #514888
    - Italian (Luca Monducci).  Closes: #550531

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Oct 2009 21:47:48 +0200

pconsole (1.0-7.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n bugs.
  * Typo correction in debconf templates. Translations unfuzzied.
    Closes: #456211
  * Debconf translations:
    - Dutch. Closes: #418392
    - Brazilian Portuguese. Closes: #471724
    - Galician. Closes: #480037
    - Basque. Closes: #480123
    - Russian. Closes: #480260
    - Finnish. Closes: #480264
  * [Lintian] Fix menu entry to use "Applications/Shells"
  * [Lintian] Add copyright information to debian/copyright
  * [Lintian] Do not include an empty usr/sbin directory

 -- Christian Perrier <bubulle@debian.org>  Tue, 06 May 2008 19:28:16 +0200

pconsole (1.0-7.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n bugs.
  * Debconf translations:
    - Portuguese. Closes: #396604, #396605
    - German. Closes: #409680

 -- Christian Perrier <bubulle@debian.org>  Tue, 13 Feb 2007 22:54:30 +0100

pconsole (1.0-7) unstable; urgency=low

  * Added conditional to postrm to avoid calling debconf when it is not
    installed. Thanks to B. Allombert (Closes: #388676).
  * Standards updated to 3.7.2. No changes needed.
  * Added binary-indep target as per lintian.
  * Redone the binary-indep part under debian/rules to actually work
    (Closes: #395752)

  [Translations update]
  * vi.po (Closes: #316702)
  * cs.po (Closes: #319375)
  * sv.po (Closes: #334427)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue, 31 Oct 2006 23:23:56 +0200

pconsole (1.0-6) unstable; urgency=low

  * Added debconf-2.0 dependency.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri,  5 Aug 2005 12:30:30 +0000

pconsole (1.0-5) unstable; urgency=low

  * Deleted some useless dependencies. Thanks to Santiago Vila 
    (Closes: #288802)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat, 22 Jan 2005 12:23:55 +0000

pconsole (1.0-4) unstable; urgency=low

  * Duh! Changing the rules file from scratch introduces new bugs. FTBFS
    hopefully solved (Closes: #236969).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue,  9 Mar 2004 05:26:16 +0000

pconsole (1.0-3) unstable; urgency=low

  * Fixed man page (Closes: #216494).
  * Updated French translation (Closes: #213809).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue,  2 Mar 2004 19:27:02 +0000

pconsole (1.0-2) unstable; urgency=low

  * Fixed typo (Closes: #212014)
  * Debconf gettextized (Closes: #213808)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue, 14 Oct 2003 14:35:33 +0300

pconsole (1.0-1) unstable; urgency=low

  * Initial release (Closes: #204555)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sun, 29 Sep 2002 21:48:07 +0300

=== debian/control ===
Source: pconsole
Section: utils
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), po-debconf, autotools-dev
Homepage: http://www.heiho.net/pconsole/
Vcs-Git: git://git.noone.org/pconsole-debian.git
Vcs-Browser: http://git.noone.org/?p=pconsole-debian.git

Package: pconsole
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0
Suggests: xterm | x-terminal-emulator
Description: parallel console shell for administering clusters
 pconsole allows you to connect to each node of your cluster simultaneously,
 and you can type your administrative commands in a specialized window that
 'multiplies' the input to each of the connections you have opened.
 pconsole is best run from within X Window, although it is possible to
 employ it without X (in console mode) as well.
 You need to install pconsole on only 1 machine in the cluster, this would
 usually be your central administrative node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=pconsole

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure:
	cp -p /usr/share/misc/config.guess /usr/share/misc/config.sub .

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr 


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pconsole.sgml > pconsole.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build build-stamp build-indep-stamp
	rm -f `find . -name "*~"`
	rm -rf debian/pconsole debian/files* core debian/substvars
	rm -f config.log config.status config.cache config.guess config.sub

	# Add here commands to clean up after the build process.
	-$(MAKE) mrproper

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/pconsole.
	$(MAKE) install prefix=$(CURDIR)/debian/pconsole/usr
	install -d $(CURDIR)/debian/pconsole/usr/share/doc/$(package)/examples/
	mv $(CURDIR)/debian/pconsole/usr/bin/pconsole.sh $(CURDIR)/debian/pconsole/usr/bin/ssh.sh $(CURDIR)/debian/pconsole/usr/share/doc/$(package)/examples/

# Build architecture-independent files here.

debian/po/templates.pot: debian/templates
	debconf-updatepo

build-indep: build-indep-stamp
build-indep-stamp: debian/po/templates.pot
	touch build-indep-stamp

binary-indep: binary-indep-stamp
binary-indep-stamp: build-indep 
	touch binary-indep-stamp

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog README.pconsole
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
	dh_installman debian/pconsole.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pconsole 1.1

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 INSTALL_DATA = /usr/bin/install -c -m 0640
 
 .c.o:
-	$(CC) -I$(INCLUDE) $(CFLAGS) -c $<
+	$(CC) -I$(INCLUDE) -I. $(CFLAGS) -c $<
 
 OBJS = List.o Conn.o cstring.o terminal.o commands.o pconsole.o

=== debian/changelog ===
pconsole (1.1-2) unstable; urgency=medium

  * Fix typo "ITF-8" in debian/po/sv.po. Thanks
    https://i18n.debian.org/l10n-pkg-status/p/pconsole.html
  * Declare compliance with Debian Policy 4.6.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 22 Aug 2022 13:00:50 +0200

pconsole (1.1-1) unstable; urgency=low

  * Fix debian/watch.
  * Update Homepage header to point to new homepage instead of Git
    repository.
  * Import new upstream release 1.1.
    + Create debian/clean to clean up .depend file.
    + Refresh patches where necessary.
    + Add patch to fix config.h include statements.
    + Update debian/docs for renamed files.
  * Declare compliance with Debian Policy 4.6.0.
    + Install pconsole binary into /usr/libexec/ instead of /usr/lib/.
  * Bump debhelper compatibility level to 13.
    + Replace debian/compat with a versioned b-d on debhelper-compat.
  * Make sure, all debconf .po files are UTF-8. Thanks Lintian!
  * Add lintian overrides for bash-term-in-posix-shell due to $HOSTNAME.
  * Update copyright years in debian/copyright. Thanks Lintian!
  * Add a debian/upstream/metadata file.

 -- Axel Beckert <abe@debian.org>  Thu, 28 Apr 2022 17:46:09 +0200

pconsole (1.0-14) unstable; urgency=medium

  * Update Homepage header and d…/{watch,copyright} to point to GitHub.
  * Update Vcs-* headers for move to Salsa.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 14 Jul 2018 22:53:34 +0200

pconsole (1.0-13) unstable; urgency=medium

  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop "--with autotools-dev" and build-dependency on autotools-dev.
    + Drop debian/patches/adapt-install-path.diff, obsolete.
  * Drop debian/source/options and use again default compression.
  * Switch Vcs-Git to HTTPS.
  * Enable all hardening build flags.
  * Declare compliance with Debian Policy 4.1.2.
    + Switch debian/copyright DEP5 format URL to HTTPS.
  * Drop debian/README.source, obsolete since 1.0-9.

 -- Axel Beckert <abe@debian.org>  Wed, 20 Dec 2017 03:49:02 +0100

pconsole (1.0-12) unstable; urgency=low

  * pconsole.sh: Use lxterm instead of xterm to honour at least the
    LC_CHARSET locale settings. (Closes: #734073)
  * Fix wrong target path in postinst's dpkg-statoverride check: Change
    /usr/bin/pconsole (which is a shell wrapper since 1.0-10) to
    /usr/lib/pconsole/pconsole.
  * Remove obsolete check for dpkg-statoverride with wrong path. (Closes:
    #770046; Thanks Emmanuel Bourg and Guillem Jover!)
  * Bump Standards-Version to 3.9.6. (No changes needed.)
  * Apply wrap-and-sort.
  * Move git repository to collab-maint on Alioth.
    + Update Vcs-* headers.
  * Convert debian/copyright to machine-readable DEP5 format.

 -- Axel Beckert <abe@debian.org>  Thu, 10 Dec 2015 01:57:48 +0100

pconsole (1.0-11) unstable; urgency=low

  * Upload to unstable again.
  * More debian/rules cleanup:
    + Remove redundant dh_installchangelogs parameter
    + Move dh_installman parameter to debian/manpages
    + Replace the remaining $(MAKE) with dh_auto_build
    + Finally switch to dh7 style debian/rules
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build dependency
    + Remove inclusion of /usr/share/dpkg/buildflags.mk from debian/rules
  * Reindenting po files and adding Language headers (created by
    debconf-updatepo)
  * Bump Standards-Version to 3.9.4 (no changes)

 -- Axel Beckert <abe@debian.org>  Fri, 10 May 2013 16:20:25 +0200

pconsole (1.0-10) experimental; urgency=low

  * Install pconsole.sh and ssh.sh into /usr/share/pconsole instead of
    only into examples so that they're actually usable.
  * Install wrapper pconsole-ssh to easily use pconsole with ssh.
  * Install pconsole to /usr/lib/pconsole/ and a wrapper which can use
    sudo instead of setuid to gain proper permissions to /usr/bin/.
    + Suggest sudo
  * Bump Standards-Version to 3.9.3 (no changes)
  * Update short and long description, mention SSH (Closes: #661470)
  * Enable hardening build flags
    + Add build-dependency on dpkg-dev (>= 1.16.1~)
    + Patch Makefile.in to properly propagate build flags
    + Remove Makefile hunk from adapt-install-path.diff -- no more needed.
    + Preserve and restore original Makefile appropriately
  * Use dh_install and dh_installexamples instead of moving files
    around manually.
  * Use dh_autotools-dev_*config instead of copying config.{guess,sub}
    around manually.
  * Use dh_clean (compat level 7) to clean up
  * Use dh_auto_configure and dh_auto_install
  * Clean up debian/rules a little bit (whitespace, comments, unnecessary
    targets, etc.)

 -- Axel Beckert <abe@debian.org>  Sat, 29 Dec 2012 01:53:57 +0100

## pconsole 1.2.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 #	pconsole Makefile.in	WJ101
 #
 
-prefix = .
+prefix = /home/walter/.local
 exec_prefix = ${prefix}
 bindir = ${exec_prefix}/bin
 
@@ -74,7 +74,7 @@
 	touch .depend
 
 depend dep .depend:
-	$(CC) -I$(INCLUDE) -M $(CFILES) > .depend
+	$(CC) -I$(INCLUDE) -I. -M $(CFILES) > .depend
 
 
 install: all
@@ -87,7 +87,7 @@
 		echo ;	\
 		echo "Note: You may want to make pconsole setuid root with the following commands:";	\
 		echo ;	\
-		echo "   chown root $(bindir)/pconsole ; chmod 4110 $(bindir)/pconsole" ; \
+		echo "   sudo chown root $(bindir)/pconsole && sudo chmod 4110 $(bindir)/pconsole" ; \
 		echo \
 	)

=== debian/changelog ===
pconsole (1.2.0-2) unstable; urgency=medium

  * Orphan the package. See #696888.
    - Set Maintainer to "Debian QA Group <packages@qa.debian.org>"
  * Declare compliance with Debian Policy 4.7.0. No changes needed.

 -- Axel Beckert <abe@debian.org>  Thu, 16 May 2024 00:45:51 +0200

pconsole (1.2.0-1) unstable; urgency=medium

  * Import new upstream release 1.2.0.
    + Drop patch fix-bashism-530158.diff, applied upstream.
    + Refresh fix-typo-ctlr.diff.
    + Update packaging with regards to files renamed upstream.

 -- Axel Beckert <abe@debian.org>  Sun, 20 Nov 2022 21:35:37 +0100

=== debian/control ===
Source: pconsole
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               po-debconf
Homepage: https://walterdejong.github.io/pconsole/
Vcs-Git: https://salsa.debian.org/debian/pconsole.git
Vcs-Browser: https://salsa.debian.org/debian/pconsole
Rules-Requires-Root: no

Package: pconsole
Architecture: any
Depends: debconf | debconf-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: sudo,
          xterm | x-terminal-emulator
Description: parallel interactive shell console
 pconsole allows you to connect to each node of your cluster (e.g. via
 ssh or rsh) simultaneously by spawning one terminal per host or
 job. Alternatively you can even connect to already existing terminal
 sessions.
 .
 You can type your administrative commands either in a specialized
 window that 'multiplies' the input to each of the connections you
 have opened or use each of the connected terminals in case one host
 or job needs some additional commands to be typed.
 .
 pconsole is best run from within X Window, although it is possible to
 employ it without X (in console mode) as well.  You need to install
 pconsole on only 1 machine in the cluster, this would usually be your
 central administrative node.
 .
 pconsole's X automatisms work well with window-managers which offer a
 smart placement mode without resizing new windows or with a tiling
 mode which resizes all windows to the same size.
 .
 It is known to work very well with FVWM and has proven less usable
 with Awesome or Ratpoison. For usage with window-managers focussed on
 full-screen applications like ratpoison, for parallel interactive SSH
 sessions MultiSSH (package "mssh") is probably be the better choice
 due to managing all SSH sessions in one application window.

=== debian/watch ===
version=4
https://github.com/walterdejong/pconsole/tags .*/v?([0-9][0-9.a-z]*)\.tar\.gz
